Name:           cockpit-image-builder
Version:        60
Release:        1.20250217132954365210.main.19.g609397d4%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-61.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Feb 17 2025 Packit <hello@packit.dev> - 60-1.20250217132954365210.main.19.g609397d4
- Wizard: `register-later` for non-RHEL images (regexowl)
- Wizard: Disable already selected language options (regexowl)
- Wizard: Add step validation to Locale (regexowl)
- build(deps-dev): bump @babel/preset-env from 7.26.8 to 7.26.9 (dependabot[bot])
- chore(deps): update konflux references (red-hat-konflux[bot])
- build(deps-dev): bump @typescript-eslint/parser from 8.20.0 to 8.24.0 (dependabot[bot])
- build(deps-dev): bump @redhat-cloud-services/tsc-transform-imports (dependabot[bot])
- Revert "Wizard: Sticky footer returns" (Klara Simickova)
- Wizard: Sticky footer returns (regexowl)
- src: Remove snapshots fallthrough logic (regexowl)
- Wizard: Fix nav status icon (regexowl)
- build(deps): bump @sentry/webpack-plugin from 3.0.0 to 3.1.2 (dependabot[bot])
- build(deps): bump @reduxjs/toolkit from 2.5.0 to 2.5.1 (dependabot[bot])
- build(deps-dev): bump @testing-library/react from 16.1.0 to 16.2.0 (dependabot[bot])
- build(deps): bump @redhat-cloud-services/frontend-components-notifications (dependabot[bot])
- packit.yaml: release into fedora-42 (Sanne Raymaekers)
- dependabot: Return limit to 3 PRs at once (regexowl)
- build(deps-dev): bump stylelint from 16.13.2 to 16.14.1 (dependabot[bot])
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
